import React = require('react');
import { RootReducerType } from './store';
import { DocumentViewerSettings } from './models/DocumentViewerSettings';
import { componentType } from './services';
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
declare const mapStateToProps: (state: RootReducerType, ownProps: {}) => {};
/**
 * State model for the ExampleApp component
 */
export interface ExampleAppState {
    hostName: string;
    documentIdOrPath: number | string;
    isViewerOpened: boolean;
    settings: DocumentViewerSettings;
    isHelpOpened: boolean;
    save: boolean;
}
/**
 * mapDispatchToProps for the example app layout component
 */
declare const mapDispatchToProps: {};
/**
 * Settings object for the Document Viewer Example component
 */
export declare const exampleSettings: DocumentViewerSettings;
/**
 * The default example theme
 */
export declare const exampleTheme: import("@material-ui/core/styles/createMuiTheme").Theme;
declare class ExampleAppLayout extends React.Component<componentType<typeof mapStateToProps, typeof mapDispatchToProps, {}>, ExampleAppState> {
    /** the component state */
    state: ExampleAppState;
    /**
     * Overridden setState() method that also persists the state in the local storage
     * @param newState The new State instance
     */
    setState(newState: this['state']): void;
    private openViewer;
    private closeViewer;
    /**
     * renders the component
     */
    render(): JSX.Element;
}
declare const connectedComponent: import("react-redux").ConnectedComponentClass<typeof ExampleAppLayout, Pick<{}, never>>;
export { connectedComponent as ExampleAppLayout };
