"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Typography_1 = require("@material-ui/core/Typography");
const React = require("react");
const react_redux_1 = require("react-redux");
const LayoutAppBar_1 = require("./LayoutAppBar");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
const mapStateToProps = (state, ownProps) => {
    return {
        loadingDocument: state.sensenetDocumentViewer.localization.loadingDocument,
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
const mapDispatchToProps = {};
class DocumentViewerLoadingComponent extends React.Component {
    /**
     * renders the component
     */
    render() {
        return (React.createElement("div", { style: {
                display: 'flex',
                justifyContent: 'space-around',
                alignContent: 'center',
                alignItems: 'center',
                height: '100%',
            } },
            React.createElement(LayoutAppBar_1.LayoutAppBar, { style: { position: 'fixed', top: 0 } },
                React.createElement("span", null)),
            React.createElement("div", { style: {
                    display: 'flex',
                    justifyContent: 'space-between',
                    alignItems: 'center',
                    flexDirection: 'column',
                    maxWidth: 500,
                    margin: '.5em 0 .6em 0',
                } },
                React.createElement("img", { src: this.props.image }),
                React.createElement(Typography_1.default, { variant: "headline", color: "textSecondary", align: "center", style: { fontWeight: 'bolder' } }, this.props.loadingDocument))));
    }
}
const connectedComponent = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(DocumentViewerLoadingComponent);
exports.DocumentViewerLoading = connectedComponent;
//# sourceMappingURL=DocumentViewerLoading.js.map