import * as React from 'react';
import { RootReducerType } from '../../store';
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
export declare const mapStateToProps: (state: RootReducerType) => {
    documentName: string;
    activePages: number[];
    pageCount: number;
    gotoPage: string;
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
export declare const mapDispatchToProps: {
    setActivePages: (activePages: number[]) => {
        type: string;
        activePages: number[];
    };
};
/**
 * Defines the own props for the PagerState component
 */
export interface PagerState {
    currentPage: number;
    lastPage: number;
    focused: boolean;
}
/**
 * Document widget component for paging
 */
export declare class DocumentTitlePagerComponent extends React.Component<ReturnType<typeof mapStateToProps> & typeof mapDispatchToProps, PagerState> {
    /**
     *
     */
    constructor(props: DocumentTitlePagerComponent['props']);
    /** the component state */
    state: PagerState;
    private setPage;
    /** triggered when the component will receive props */
    static getDerivedStateFromProps(nextProps: DocumentTitlePagerComponent['props'], lastState: Partial<PagerState>): Partial<PagerState>;
    /**
     * sets the page to the specified value
     * @param page
     */
    gotoPage(page: string | number): void;
    private submitPageNumber;
    private handleFocused;
    private handleBlur;
    /**
     * renders the component
     */
    render(): JSX.Element;
}
declare const connectedComponent: import("react-redux").ConnectedComponentClass<typeof DocumentTitlePagerComponent, Pick<Readonly<{
    children?: React.ReactNode;
}> & Readonly<{
    documentName: string;
    activePages: number[];
    pageCount: number;
    gotoPage: string;
} & {
    setActivePages: (activePages: number[]) => {
        type: string;
        activePages: number[];
    };
}> & {
    documentName: string;
    activePages: number[];
    pageCount: number;
    gotoPage: string;
} & {
    setActivePages: (activePages: number[]) => {
        type: string;
        activePages: number[];
    };
}, "children">>;
export { connectedComponent as DocumentTitlePager };
