"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const IconButton_1 = require("@material-ui/core/IconButton");
const CloudDownload_1 = require("@material-ui/icons/CloudDownload");
const React = require("react");
const react_redux_1 = require("react-redux");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
exports.mapStateToProps = (state) => {
    return {
        title: state.sensenetDocumentViewer.localization.download,
        document: state.sensenetDocumentViewer.documentState.document,
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
exports.mapDispatchToProps = {};
/**
 * Component that allows active page rotation
 */
class DownloadComponent extends React.Component {
    /**
     * renders the component
     */
    render() {
        return (React.createElement("div", { style: { display: 'inline-block' } },
            React.createElement(IconButton_1.default, { color: "inherit", title: this.props.title },
                React.createElement(CloudDownload_1.default, { onClick: () => this.props.download(this.props.document) }))));
    }
}
exports.DownloadComponent = DownloadComponent;
const connectedComponent = react_redux_1.connect(exports.mapStateToProps, exports.mapDispatchToProps)(DownloadComponent);
exports.Download = connectedComponent;
//# sourceMappingURL=DownloadWidget.js.map