import * as React from 'react';
import { DocumentData } from '../../models';
import { componentType } from '../../services';
import { RootReducerType } from '../../store';
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
export declare const mapStateToProps: (state: RootReducerType) => {
    title: string;
    document: DocumentData;
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
export declare const mapDispatchToProps: {};
/**
 * Own properties for the Share component
 */
export interface OwnProps {
    print: (document: DocumentData) => void;
}
/**
 * Component that allows active page rotation
 */
export declare class PrintComponent extends React.Component<componentType<typeof mapStateToProps, typeof mapDispatchToProps, OwnProps>> {
    /**
     * renders the component
     */
    render(): JSX.Element;
}
declare const connectedComponent: import("react-redux").ConnectedComponentClass<typeof PrintComponent, Pick<{
    title: string;
    document: DocumentData;
} & OwnProps, "print">>;
export { connectedComponent as Print };
