"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const IconButton_1 = require("@material-ui/core/IconButton");
const RotateLeft_1 = require("@material-ui/icons/RotateLeft");
const RotateRight_1 = require("@material-ui/icons/RotateRight");
const React = require("react");
const react_redux_1 = require("react-redux");
const store_1 = require("../../store");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
exports.mapStateToProps = (state) => {
    return {
        pages: state.sensenetDocumentViewer.previewImages.AvailableImages,
        activePages: state.sensenetDocumentViewer.viewer.activePages,
        rotateDocumentLeft: state.sensenetDocumentViewer.localization.rotateDocumentLeft,
        rotateDocumentRight: state.sensenetDocumentViewer.localization.rotateDocumentRight,
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
exports.mapDispatchToProps = {
    rotateImages: store_1.rotateImages,
};
/**
 * Component that allows active page rotation
 */
class RotateActivePagesComponent extends React.Component {
    rotateDocumentLeft() {
        this.props.rotateImages(this.props.activePages, -90);
    }
    rotateDocumentRight() {
        this.props.rotateImages(this.props.activePages, 90);
    }
    /**
     * renders the component
     */
    render() {
        return (React.createElement("div", { style: { display: 'inline-block' } },
            React.createElement(IconButton_1.default, { color: "inherit", title: this.props.rotateDocumentLeft },
                React.createElement(RotateLeft_1.default, { onClick: () => this.rotateDocumentLeft() })),
            React.createElement(IconButton_1.default, { color: "inherit", title: this.props.rotateDocumentRight },
                React.createElement(RotateRight_1.default, { onClick: () => this.rotateDocumentRight() }))));
    }
}
exports.RotateActivePagesComponent = RotateActivePagesComponent;
const connectedComponent = react_redux_1.connect(exports.mapStateToProps, exports.mapDispatchToProps)(RotateActivePagesComponent);
exports.RotateActivePages = connectedComponent;
//# sourceMappingURL=RotateActivePages.js.map