"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const IconButton_1 = require("@material-ui/core/IconButton");
const RotateLeft_1 = require("@material-ui/icons/RotateLeft");
const RotateRight_1 = require("@material-ui/icons/RotateRight");
const React = require("react");
const react_redux_1 = require("react-redux");
const store_1 = require("../../store");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
exports.mapStateToProps = (state) => {
    return {
        pages: state.sensenetDocumentViewer.previewImages.AvailableImages,
        activePages: state.sensenetDocumentViewer.viewer.activePages,
        rotateDocumentLeft: state.sensenetDocumentViewer.localization.rotateDocumentLeft,
        rotateDocumentRight: state.sensenetDocumentViewer.localization.rotateDocumentRight,
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
exports.mapDispatchToProps = {
    rotateImages: store_1.rotateImages,
};
/**
 * Component that allows document rotation
 */
class RotateDocumentComponent extends React.Component {
    rotateDocumentLeft() {
        this.props.rotateImages(this.props.pages.map((p) => p.Index), -90);
    }
    rotateDocumentRight() {
        this.props.rotateImages(this.props.pages.map((p) => p.Index), 90);
    }
    /**
     * renders the component
     */
    render() {
        return (React.createElement("div", { style: { display: 'inline-block' } },
            React.createElement(IconButton_1.default, { title: this.props.rotateDocumentLeft },
                React.createElement(RotateLeft_1.default, { onClick: () => this.rotateDocumentLeft(), style: { border: '2px solid', borderRadius: '5px' } })),
            React.createElement(IconButton_1.default, { title: this.props.rotateDocumentRight },
                React.createElement(RotateRight_1.default, { onClick: () => this.rotateDocumentRight(), style: { border: '2px solid', borderRadius: '5px' } }))));
    }
}
exports.RotateDocumentComponent = RotateDocumentComponent;
const connectedComponent = react_redux_1.connect(exports.mapStateToProps, exports.mapDispatchToProps)(RotateDocumentComponent);
exports.RotateDocumentWidget = connectedComponent;
//# sourceMappingURL=RotateDocument.js.map