"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Grid_1 = require("@material-ui/core/Grid");
const TextField_1 = require("@material-ui/core/TextField");
const Search_1 = require("@material-ui/icons/Search");
const React = require("react");
const react_redux_1 = require("react-redux");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
exports.mapStateToProps = (state) => {
    return {
        placeholder: state.sensenetDocumentViewer.localization.search,
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
exports.mapDispatchToProps = {};
/**
 * Document widget component for paging
 */
class SearchBarComponent extends React.Component {
    constructor() {
        super(...arguments);
        /** the component state */
        this.state = { searchValue: '' };
    }
    /**
     * sets the page to the specified value
     * @param page
     */
    evaluateSearch() {
        // tslint:disable-next-line:no-console
        console.log('Search triggered', this.state.searchValue);
    }
    updateValue(value) {
        this.setState(Object.assign({}, this.state, { searchValue: value }));
    }
    handleKeyPress(ev) {
        if (ev.key === 'Enter') {
            this.evaluateSearch();
        }
    }
    /**
     * renders the component
     */
    render() {
        return (React.createElement(Grid_1.default, { container: true, spacing: 8, alignItems: "flex-end" },
            React.createElement(Grid_1.default, { item: true },
                React.createElement(Search_1.default, null)),
            React.createElement(Grid_1.default, { item: true },
                React.createElement(TextField_1.default, { type: "text", placeholder: this.props.placeholder, onKeyPress: (ev) => this.handleKeyPress(ev), onSubmit: () => this.evaluateSearch(), onChange: (ev) => this.updateValue(ev.target.value), inputProps: { style: { color: 'white' } } }))));
    }
}
exports.SearchBarComponent = SearchBarComponent;
const connectedComponent = react_redux_1.connect(exports.mapStateToProps, exports.mapDispatchToProps)(SearchBarComponent);
exports.SearchBar = connectedComponent;
//# sourceMappingURL=SearchBar.js.map