import * as React from 'react';
import { componentType } from '../../services';
import { RootReducerType } from '../../store';
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
export declare const mapStateToProps: (state: RootReducerType) => {
    canHideRedaction: boolean;
    showShapes: boolean;
    showRedaction: boolean;
    toggleRedaction: string;
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
export declare const mapDispatchToProps: {
    setRedaction: (showRedaction: boolean) => {
        type: string;
        showRedaction: boolean;
    };
};
/**
 * Document widget component to toggleing redaction
 */
export declare class ToggleRedactionComponent extends React.Component<componentType<typeof mapStateToProps, typeof mapDispatchToProps>> {
    private toggleRedaction;
    /**
     * renders the component
     */
    render(): JSX.Element;
}
declare const connectedComponent: import("react-redux").ConnectedComponentClass<typeof ToggleRedactionComponent, Pick<{
    canHideRedaction: boolean;
    showShapes: boolean;
    showRedaction: boolean;
    toggleRedaction: string;
} & {
    setRedaction: (showRedaction: boolean) => {
        type: string;
        showRedaction: boolean;
    };
} & undefined, never>>;
export { connectedComponent as ToggleRedactionWidget };
