import * as React from 'react';
import { componentType } from '../../services';
import { RootReducerType } from '../../store';
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
export declare const mapStateToProps: (state: RootReducerType) => {
    showShapes: boolean;
    toggleShapes: string;
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
export declare const mapDispatchToProps: {
    setShapes: (showShapes: boolean) => {
        type: string;
        showShapes: boolean;
    };
};
/**
 * Document widget component that toggles the displaying of the shapes
 */
export declare class ToggleShapesComponent extends React.Component<componentType<typeof mapStateToProps, typeof mapDispatchToProps>> {
    private toggleShapes;
    /**
     * renders the component
     */
    render(): JSX.Element;
}
declare const connectedComponent: import("react-redux").ConnectedComponentClass<typeof ToggleShapesComponent, Pick<{
    showShapes: boolean;
    toggleShapes: string;
} & {
    setShapes: (showShapes: boolean) => {
        type: string;
        showShapes: boolean;
    };
} & undefined, never>>;
export { connectedComponent as ToggleShapesWidget };
