"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const IconButton_1 = require("@material-ui/core/IconButton");
const Dashboard_1 = require("@material-ui/icons/Dashboard");
const React = require("react");
const react_redux_1 = require("react-redux");
const store_1 = require("../../store");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
exports.mapStateToProps = (state) => {
    return {
        showShapes: state.sensenetDocumentViewer.viewer.showShapes,
        toggleShapes: state.sensenetDocumentViewer.localization.toggleShapes,
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
exports.mapDispatchToProps = {
    setShapes: store_1.setShapes,
};
/**
 * Document widget component that toggles the displaying of the shapes
 */
class ToggleShapesComponent extends React.Component {
    toggleShapes() {
        this.props.setShapes(!this.props.showShapes);
    }
    /**
     * renders the component
     */
    render() {
        return (React.createElement("div", { style: { display: 'inline-block' } },
            React.createElement(IconButton_1.default, { title: this.props.toggleShapes, style: { opacity: this.props.showShapes ? 1 : 0.5 } },
                React.createElement(Dashboard_1.default, { onClick: () => this.toggleShapes() }))));
    }
}
exports.ToggleShapesComponent = ToggleShapesComponent;
const connectedComponent = react_redux_1.connect(exports.mapStateToProps, exports.mapDispatchToProps)(ToggleShapesComponent);
exports.ToggleShapesWidget = connectedComponent;
//# sourceMappingURL=ToggleShapes.js.map