import * as React from 'react';
import { componentType } from '../../services';
import { RootReducerType } from '../../store';
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
export declare const mapStateToProps: (state: RootReducerType) => {
    canHideWatermark: boolean;
    showWatermark: boolean;
    toggleWatermark: string;
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
export declare const mapDispatchToProps: {
    setWatermark: (showWatermark: boolean) => {
        type: string;
        showWatermark: boolean;
    };
};
/**
 * Document widget component that toggles the displaying of the watermark
 */
export declare class ToggleWatermarkComponent extends React.Component<componentType<typeof mapStateToProps, typeof mapDispatchToProps>> {
    private toggleWatermark;
    /**
     * renders the component
     */
    render(): JSX.Element;
}
declare const connectedComponent: import("react-redux").ConnectedComponentClass<typeof ToggleWatermarkComponent, Pick<{
    canHideWatermark: boolean;
    showWatermark: boolean;
    toggleWatermark: string;
} & {
    setWatermark: (showWatermark: boolean) => {
        type: string;
        showWatermark: boolean;
    };
} & undefined, never>>;
export { connectedComponent as ToggleWatermarkWidget };
