"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const IconButton_1 = require("@material-ui/core/IconButton");
const ZoomIn_1 = require("@material-ui/icons/ZoomIn");
const ZoomOut_1 = require("@material-ui/icons/ZoomOut");
const React = require("react");
const react_redux_1 = require("react-redux");
const store_1 = require("../../store");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
exports.mapStateToProps = (state) => {
    return {
        fitRelativeZoomLevel: state.sensenetDocumentViewer.viewer.fitRelativeZoomLevel,
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
exports.mapDispatchToProps = {
    setFitRelativeZoomLevel: store_1.setFitRelativeZoomLevel,
};
/**
 * Document widget component for modifying the zoom mode / level
 */
class ZoomInOutWidgetComponent extends React.Component {
    zoomIn(ev) {
        this.props.setFitRelativeZoomLevel(this.props.fitRelativeZoomLevel + 1);
    }
    zoomOut(ev) {
        this.props.setFitRelativeZoomLevel(this.props.fitRelativeZoomLevel - 1);
    }
    /**
     * renders the component
     */
    render() {
        return (React.createElement("div", { style: { display: 'inline-block' } },
            React.createElement(IconButton_1.default, { color: "inherit", onClick: (ev) => this.zoomIn(ev) },
                React.createElement(ZoomIn_1.default, null)),
            React.createElement(IconButton_1.default, { color: "inherit", onClick: (ev) => this.zoomOut(ev) },
                React.createElement(ZoomOut_1.default, null))));
    }
}
exports.ZoomInOutWidgetComponent = ZoomInOutWidgetComponent;
const connectedComponent = react_redux_1.connect(exports.mapStateToProps, exports.mapDispatchToProps)(ZoomInOutWidgetComponent);
exports.ZoomInOutWidget = connectedComponent;
//# sourceMappingURL=ZoomInOut.js.map