import * as React from 'react';
import { componentType } from '../../services';
import { RootReducerType, ZoomMode } from '../../store';
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
export declare const mapStateToProps: (state: RootReducerType) => {
    zoomMode: ZoomMode;
    customZoomLevel: number;
    localization: {
        zoomMode: string;
        zoomModeFit: string;
        zoomModeFitHeight: string;
        zoomModeFitWidth: string;
        zoomModeOriginalSize: string;
        zooomModeCustom: string;
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
export declare const mapDispatchToProps: {
    setZoomMode: (zoomMode: ZoomMode) => {
        type: string;
        zoomMode: ZoomMode;
    };
    setZoomLevel: (customZoomLevel: number, defaultModeOnZero?: ZoomMode) => {
        type: string;
        customZoomLevel: number;
        defaultModeOnZero: ZoomMode;
    };
};
/**
 * Document widget component for modifying the zoom mode / level
 */
export declare class ZoomWidgetComponent extends React.Component<componentType<typeof mapStateToProps, typeof mapDispatchToProps>, {
    zoomMenuAnchor?: HTMLElement;
}> {
    /** the component state */
    state: {
        zoomMenuAnchor: undefined;
    };
    private openZoomMenu;
    private closeZoomMenu;
    private zoomIn;
    private zoomOut;
    /**
     * renders the component
     */
    render(): JSX.Element;
}
declare const connectedComponent: import("react-redux").ConnectedComponentClass<typeof ZoomWidgetComponent, Pick<{
    zoomMode: ZoomMode;
    customZoomLevel: number;
    localization: {
        zoomMode: string;
        zoomModeFit: string;
        zoomModeFitHeight: string;
        zoomModeFitWidth: string;
        zoomModeOriginalSize: string;
        zooomModeCustom: string;
    };
} & {
    setZoomMode: (zoomMode: ZoomMode) => {
        type: string;
        zoomMode: ZoomMode;
    };
    setZoomLevel: (customZoomLevel: number, defaultModeOnZero?: ZoomMode) => {
        type: string;
        customZoomLevel: number;
        defaultModeOnZero: ZoomMode;
    };
} & undefined, never>>;
export { connectedComponent as ZoomModeWidget };
